@import url('https://fonts.googleapis.com/css?family=Material+Icons|Material+Icons+Outlined|Material+Icons+Two+Tone|Material+Icons+Round|Material+Icons+Sharp');

* {
  box-sizing: border-box;
}

html,
body {
  margin: 0;
  padding: 0;
}

a {
  text-decoration: none !important;
}
a:hover,a:focus{
  border:0;
  box-shadow: 0;
  text-decoration: none!important;
}

#viewer {
  width: 80vw;
  height: 80vh;
  box-shadow: 0 0 4px #ccc;
  border-radius: 5px;
  padding: 0;
  position: relative;
  margin: 0vh auto;
  background: white;
  top: 0;
}

.arrow {
  position: absolute;
  top: 100px;
  margin-top: -32px;
  font-size: 64px;
  color: #E2E2E2;
  font-family: arial, sans-serif;
  font-weight: bold;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
  text-decoration: none;
  left: 50%;
  bottom: 0;
  display: flex;
  align-items: center;
  z-index: 20;
  transition: all 300ms ease;
}

.arrow .material-icons {
  font-size: 48px;
}

#next {
  right: 0px;
  left: 50%;
  justify-content: end;
}

#prev {
  left: 0px;
  right: 50%;
}

.arrow:hover {
  color: #000;
}

.header-navigation {
  display: flex;
  position: relative;
  /*padding: 0.5rem 0.5rem;*/
  align-items: center;
  margin-bottom: 2rem;
  box-shadow: 0 4px 24px rgba(0, 0, 0, 0.15);
  z-index: 50;
  padding: 0 1rem;
}

.header-navigation .title-header {
  margin-left: auto;
  margin-right: auto;
  color: #0F4C81;
  font-size: 18px;
  margin-top: 1.25rem;
  margin-bottom: 1.25rem;
  line-height: 1.6;
  text-align: center;
  white-space: nowrap;
  display: inline-block;
  text-overflow: ellipsis;
  max-width: 150px;
  overflow: hidden
}

.header-navigation .header-right {
  margin-left: auto;
  display: flex;
  align-items: center;
  position: relative;
  z-index: 100;
}

.back-to-page {
  display: flex;
  align-items: center;
  font-size: 1rem;
  margin-right:0.5rem;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 32px;
  height: 32px;
  color: #0F4C81;
  transition: all 0.2s ease;
  line-height: 1.6;
  border-radius: 5px;
  cursor: pointer;
}

.back-to-page .material-icons {
  font-size: 1.25rem;
}

.back-to-page:hover {
  background: #0F4C81;
  color: #fff;
}
.changeStyle{
  margin-right:auto;
  display:flex;
  align-items: center;
  justify-content: center;
  background:#e9e9e9;
  border-radius: 6px;
  padding:4px;
}
.changeStyle .changeStyle-label{
  width:32px;
  height:32px;
  font-size:18px;
  display:flex;
  align-items: center;
  justify-content: center;
  border-radius: 3px;
  cursor:pointer;
}
.changeStyle .changeStyle-label.changeHorizonal .material-icons-outlined{
  transform: rotate(90deg);
}
.changeStyle input[type="radio"]{
  display:none;
}
.changeStyle input[type="radio"]:checked ~ label{
  background:#0F4C81;
  color:#fff;
}
.changeFont {
  position: relative;
  margin-right: 0.5rem;
  color: #0F4C81;
  cursor: pointer;
}

.changeFont .changeFontTB {
  position: absolute;
  top: 100%;
  right: 0;
  background: #fff;
  box-shadow: 0px 3px 12px rgba(0, 0, 0, 0.15);
  border-radius: 5px;
  z-index: 100;
  padding: 0.5rem;
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
  transition: all 0.3s ease;
  transform: translateY(10px);
}

.changeFont .changeFontTB.open {
  transform: none;
  opacity: 1;
  visibility: visible;
  pointer-events: all;
}

.changeFont .changeFontTB .list-changeFont {
  display: flex;
  align-items: center;
}

.changeFont .changeFontTB .changeFont-link {
  display: flex;
  align-items: center;
  justify-content: end;
  padding: 0.5rem 1rem;
  cursor: pointer;
  color: #000;
  border-radius: 5px;
  transition: all 0.3s ease;
}

.changeFont .changeFontTB .changeFont-link:hover,
.changeFont .changeFontTB .changeFont-link:focus {
  background: #0F4C81;
  color: #fff;
}

.changeColor {
  position: relative;
  margin-right: 0.5rem;
  color: #0F4C81;
  cursor: pointer;
}

.changeColor .changeColorTB {
  position: absolute;
  top: 100%;
  right: 0;
  background: #fff;
  box-shadow: 0px 3px 12px rgba(0, 0, 0, 0.15);
  border-radius: 5px;
  z-index: 100;
  padding: 0.5rem;
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
  transition: all 0.3s ease;
  transform: translateY(10px);
}

.changeColor .changeColorTB.open {
  transform: none;
  opacity: 1;
  visibility: visible;
  pointer-events: all;
}

.changeColor .changeColorTB .list-changeColor {
  display: flex;
  align-items: center;
}

.changeColor .changeColorTB .changeColor-link {
  display: inline-block;
  width: 32px;
  height: 32px;
  border: 1px solid #ddd;
  margin-left: 0.75rem;
  border-radius: 50%;
  cursor: pointer;
  transition: all 0.3s ease;
}

.changeColor .changeColorTB .changeColor-link.changeColor-white {
  background: #fff;
}

.changeColor .changeColorTB .changeColor-link.changeColor-black {
  background: #0a192f;
  border-color: #0a192f;

}

.changeColor .changeColorTB .changeColor-link.changeColor-yellow {
  background: #fdf7e2;
}

.changeColor .changeColorTB .changeColor-link:hover,
.changeColor .changeColorTB .changeColor-link:focus {
  box-shadow: 0px 3px 12px rgba(0, 0, 0, 0.15);
}

.info-book {
  display: flex;
  position: absolute;
  bottom: 1rem;
  right: 24px;
  color: #252525;
  font-weight: 400;
  width: 35px;
  height: 35px;
  background: #fff;
  box-shadow: 0px 3px 5px rgba(0, 0, 0, 0.15);
  border-radius: 50%;
  align-items: center;
  text-decoration: none;
  justify-content: center;
  z-index: 21;
}

.info-book:hover {
  box-shadow: inset 0px 3px 5px rgba(0, 0, 0, 0.15);
}

#opener {
  padding: 10px;
  stroke: #0F4C81;
  fill: #0F4C81;
  color: #0F4C81;
  display: flex;
  align-items: center;
}

#opener,
#closer {
  cursor: pointer;
}

#closer {
  position: absolute;
  top: 4px;
  right: 6px;
  opacity: 0.5;
  transition: all 300ms ease;
}

#closer:hover {
  opacity: 1;
}

#navigation {
  width: 100%;
  max-width: 300px;
  position: fixed;
  overflow: auto;
  top: 0;
  right: 0px;
  background-color: #fff;
  bottom: 0;
  overflow: hidden;
  overflow-y: hidden;
  overflow-y: auto;
  -webkit-overflow-scrolling: touch;
  transform: translateX(100%);
  transition: all .2s ease-out;
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
}

#navigation.open {
  transform: none;
}

#navigation .nav {
  height: 100%;
  display: flex;
  flex-direction: column;
  font-size: 1rem;
}

#navigation .nav-header {
  padding: 1rem;
  padding-top: 28px;
  border-bottom: 1px solid #ddd;
  position: relative;
}

#navigation .nav-header .text-group {
  margin-bottom: 1rem;
}

#navigation .nav-header .text-group .desc {
  color: rgba(82, 78, 111, 0.7);
  font-size: 13px;
  margin-bottom: 4px;
}

#navigation .nav-header .text-group .title {
  color: #0F4C81;
  font-size: 17px;
  font-weight: 700;
}

#navigation .nav-body {
  padding: 1rem;
  flex: 1 1 auto;
  overflow-y: auto;
  -webkit-overflow-scrolling: touch;
  scrollbar-width: thin;
}

#navigation .nav-body .desc {
  margin-bottom: 1rem;
  font-weight: 700;
  font-size: 1rem;
}

#navigation .menu ul {
  padding: 0;
  margin: 0;
  list-style-type: none;
}

#navigation .menu ul li {
  padding: 12px 8px;
  border-bottom: 1px solid #ddd;
  transition: all 300ms ease;
}

#navigation .menu ul li a {
  color: #252525;
  font-size: 0.9375rem;
  transition: all 300ms ease;
}

#navigation .menu ul li:hover {
  background-color: #0F4C81;
  color: #fff;
}

#navigation .menu ul li:hover a {
  color: #fff;
}

@media (min-width:576px) {
  .header-navigation .title-header {
    max-width: 300px;
  }
}

@media (min-width:768px) {
  .header-navigation{
    margin-bottom:4rem;
  }
  #viewer {
    width: 75vw;
  }

  .arrow .material-icons {
    font-size: 64px;
  }
}

@media (min-width:992px) {
  #viewer::after {
    position: absolute;
    width: 1px;
    border-right: 1px #000 solid;
    height: 90%;
    z-index: 1;
    left: 50%;
    margin-left: -1px;
    top: 5%;
    opacity: .15;
    box-shadow: -2px 0 15px rgba(0, 0, 0, 1);
    content: "";
  }
  #viewer.scrolling::after{
    content:none;
  }
  .header-navigation .title-header {
    max-width: 100%;
    white-space: normal;
    overflow: unset;
    display: block;
  }
}